#2734 closed defect (fixed)

pthread_setschedprio() is missing

Reported by: Sebastian Huber Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords: POSIX-Compliance
Cc: Blocked By:
Blocking:

Description

See also

http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_setschedprio.html

and

http://pubs.opengroup.org/onlinepubs/9699919799/functions/V2_chap02.html#tag_15_08_04_01

In particular the distinction to pthread_setschedparam() (SCHED_FIFO, item 7.).

Prototype is defined in Newlib provide <pthread.h>.

Change History (5)

comment:1 Changed on Jun 13, 2016 at 1:38:29 PM by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In 0c34dbf341095f93a712bbe6d024c8c1d975b6f5/rtems:

posix: Add pthread_setschedprio()

Close #2734.

comment:2 Changed on Apr 3, 2017 at 11:28:20 PM by Joel Sherrill

Keywords: POSIX-Compliance added

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.